package cn.com.tenlion.configtable.pojo.dtos.configtablefield;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @ClassName: ConfigTableFieldDTO
 * @Description: 
 * @Author: CodeFactory
 * @Date: 2021-06-24 11:06:57
 * @Version: 3.0
 **/
@ApiModel
public class ConfigTableFieldDTO {

    @ApiModelProperty(name = "configTableFieldId", value = "表单列")
    private String configTableFieldId;
    @ApiModelProperty(name = "configTableFieldCode", value = "列名")
    private String configTableFieldCode;
    @ApiModelProperty(name = "configTableId", value = "所属表单")
    private String configTableId;
    @ApiModelProperty(name = "configTableFieldName", value = "字段名称")
    private String configTableFieldName;
    @ApiModelProperty(name = "configTableFieldRemark", value = "字段描述")
    private String configTableFieldRemark;
    @ApiModelProperty(name = "configTableFieldType", value = "字段类型1:文本,2:照片,3:音频,4:视频,5:链接,6:定位,7:多行文本")
    private String configTableFieldType;
    @ApiModelProperty(name = "configTableFieldNumber", value = "允许存储数量")
    private Integer configTableFieldNumber;
    @ApiModelProperty(name = "configTableFieldOrder", value = "字段排序")
    private Integer configTableFieldOrder;
    @ApiModelProperty(name = "configTableFieldRow", value = "字段行")
    private Integer configTableFieldRow;
    @ApiModelProperty(name = "configTableFieldRowCol", value = "字段行占比")
    private Integer configTableFieldRowCol;
    @ApiModelProperty(name = "configTableFieldMust", value = "必填项1:是,0:否")
    private String configTableFieldMust;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;
    @ApiModelProperty(name = "configTableFieldMode", value = "展示方式(数据字典ID)")
    private String configTableFieldMode;
    @ApiModelProperty(name = "configTableFieldDictionaries", value = "数据字典关联ID")
    private String configTableFieldDictionaries;
    @ApiModelProperty(name = "configTableFieldDdisplay", value = "列表显示1:显示,0:隐藏")
    private String configTableFieldDisplay;
    @ApiModelProperty(name = "configTableFieldPlaceholder", value = "输入提示")
    private String configTableFieldPlaceholder;
    @ApiModelProperty(name = "configTableFieldDefault", value = "字段默认值")
    private String configTableFieldDefault;
    @ApiModelProperty(name = "configTableFieldConfig", value = "自定义配置")
    private String configTableFieldConfig;

    public String getConfigTableFieldConfig() {
        return configTableFieldConfig == null ? "" : configTableFieldConfig;
    }

    public void setConfigTableFieldConfig(String configTableFieldConfig) {
        this.configTableFieldConfig = configTableFieldConfig;
    }

    public String getConfigTableFieldDefault() {
        return configTableFieldDefault == null ? "" : configTableFieldDefault;
    }

    public void setConfigTableFieldDefault(String configTableFieldDefault) {
        this.configTableFieldDefault = configTableFieldDefault;
    }

    public String getConfigTableFieldPlaceholder() {
        return configTableFieldPlaceholder == null ? "" : configTableFieldPlaceholder;
    }

    public void setConfigTableFieldPlaceholder(String configTableFieldPlaceholder) {
        this.configTableFieldPlaceholder = configTableFieldPlaceholder;
    }

    public String getConfigTableFieldMode() {
        return configTableFieldMode == null ? "" : configTableFieldMode;
    }

    public void setConfigTableFieldMode(String configTableFieldMode) {
        this.configTableFieldMode = configTableFieldMode;
    }

    public String getConfigTableFieldDictionaries() {
        return configTableFieldDictionaries == null ? "" : configTableFieldDictionaries;
    }

    public void setConfigTableFieldDictionaries(String configTableFieldDictionaries) {
        this.configTableFieldDictionaries = configTableFieldDictionaries;
    }

    public String getConfigTableFieldDisplay() {
        return configTableFieldDisplay == null ? "" : configTableFieldDisplay;
    }

    public void setConfigTableFieldDisplay(String configTableFieldDisplay) {
        this.configTableFieldDisplay = configTableFieldDisplay;
    }

    public String getConfigTableId() {
        return configTableId == null ? "" : configTableId;
    }

    public void setConfigTableId(String configTableId) {
        this.configTableId = configTableId;
    }

    public String getConfigTableFieldId() {
        return configTableFieldId == null ? "" : configTableFieldId.trim();
    }

    public void setConfigTableFieldId(String configTableFieldId) {
        this.configTableFieldId = configTableFieldId;
    }

    public String getConfigTableFieldCode() {
        return configTableFieldCode == null ? "" : configTableFieldCode.trim();
    }

    public void setConfigTableFieldCode(String configTableFieldCode) {
        this.configTableFieldCode = configTableFieldCode;
    }

    public String getConfigTableFieldName() {
        return configTableFieldName == null ? "" : configTableFieldName.trim();
    }

    public void setConfigTableFieldName(String configTableFieldName) {
        this.configTableFieldName = configTableFieldName;
    }

    public String getConfigTableFieldRemark() {
        return configTableFieldRemark == null ? "" : configTableFieldRemark.trim();
    }

    public void setConfigTableFieldRemark(String configTableFieldRemark) {
        this.configTableFieldRemark = configTableFieldRemark;
    }

    public String getConfigTableFieldType() {
        return configTableFieldType == null ? "" : configTableFieldType.trim();
    }

    public void setConfigTableFieldType(String configTableFieldType) {
        this.configTableFieldType = configTableFieldType;
    }

    public Integer getConfigTableFieldNumber() {
        return configTableFieldNumber == null ? 0 : configTableFieldNumber;
    }

    public void setConfigTableFieldNumber(Integer configTableFieldNumber) {
        this.configTableFieldNumber = configTableFieldNumber;
    }

    public Integer getConfigTableFieldOrder() {
        return configTableFieldOrder == null ? 0 : configTableFieldOrder;
    }

    public void setConfigTableFieldOrder(Integer configTableFieldOrder) {
        this.configTableFieldOrder = configTableFieldOrder;
    }

    public Integer getConfigTableFieldRow() {
        return configTableFieldRow == null ? 0 : configTableFieldRow;
    }

    public void setConfigTableFieldRow(Integer configTableFieldRow) {
        this.configTableFieldRow = configTableFieldRow;
    }

    public Integer getConfigTableFieldRowCol() {
        return configTableFieldRowCol == null ? 0 : configTableFieldRowCol;
    }

    public void setConfigTableFieldRowCol(Integer configTableFieldRowCol) {
        this.configTableFieldRowCol = configTableFieldRowCol;
    }

    public String getConfigTableFieldMust() {
        return configTableFieldMust == null ? "" : configTableFieldMust.trim();
    }

    public void setConfigTableFieldMust(String configTableFieldMust) {
        this.configTableFieldMust = configTableFieldMust;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
